graaff      15/02/08 06:57:30

  Modified:             ChangeLog network_interface-0.0.1-r1.ebuild
  Log:
  Add ruby20. Configure tests but restrict them since they easily fail on 
specific network interface configurations.
  
  (Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key 
0x8883FA56A308A8D7!)

Revision  Changes    Path
1.5                  dev-ruby/network_interface/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/network_interface/ChangeLog?rev=1.5&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/network_interface/ChangeLog?rev=1.5&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/network_interface/ChangeLog?r1=1.4&r2=1.5

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/network_interface/ChangeLog,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- ChangeLog   19 Dec 2014 20:50:32 -0000      1.4
+++ ChangeLog   8 Feb 2015 06:57:30 -0000       1.5
@@ -1,6 +1,11 @@
 # ChangeLog for dev-ruby/network_interface
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/network_interface/ChangeLog,v 1.4 
2014/12/19 20:50:32 axs Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/network_interface/ChangeLog,v 1.5 
2015/02/08 06:57:30 graaff Exp $
+
+  08 Feb 2015; Hans de Graaff <[email protected]>
+  network_interface-0.0.1-r1.ebuild:
+  Add ruby20. Configure tests but restrict them since they easily fail on
+  specific network interface configurations.
 
   19 Dec 2014; Ian Stakenvicius (_AxS_) <[email protected]>
   network_interface-0.0.1-r1.ebuild:



1.4                  
dev-ruby/network_interface/network_interface-0.0.1-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/network_interface/network_interface-0.0.1-r1.ebuild?rev=1.4&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/network_interface/network_interface-0.0.1-r1.ebuild?rev=1.4&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/network_interface/network_interface-0.0.1-r1.ebuild?r1=1.3&r2=1.4

Index: network_interface-0.0.1-r1.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/dev-ruby/network_interface/network_interface-0.0.1-r1.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- network_interface-0.0.1-r1.ebuild   19 Dec 2014 20:50:32 -0000      1.3
+++ network_interface-0.0.1-r1.ebuild   8 Feb 2015 06:57:30 -0000       1.4
@@ -1,14 +1,14 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/dev-ruby/network_interface/network_interface-0.0.1-r1.ebuild,v
 1.3 2014/12/19 20:50:32 axs Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/dev-ruby/network_interface/network_interface-0.0.1-r1.ebuild,v
 1.4 2015/02/08 06:57:30 graaff Exp $
 
 EAPI=5
 
-USE_RUBY="ruby19 ruby21"
+USE_RUBY="ruby19 ruby20 ruby21"
 
 RUBY_FAKEGEM_TASK_DOC=""
 
-RUBY_FAKEGEM_RECIPE_TEST="default"
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
 
 inherit ruby-fakegem
 
@@ -20,6 +20,13 @@
 KEYWORDS="~amd64 ~arm ~x86"
 IUSE=""
 
+# Tests are brittle as they cannot deal with all network interface 
configurations.
+RESTRICT="test"
+
+all_ruby_prepare() {
+       sed -i -e 's:/sbin/ifconfig:/bin/ifconfig:' spec/spec_helper.rb || die
+}
+
 each_ruby_configure() {
        ${RUBY} -C ext/network_interface_ext extconf.rb || die
 }




Reply via email to